Bug 249562 - file->delete doesn't always work in virt-manager
Summary: file->delete doesn't always work in virt-manager
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
(Show other bugs)
Version: 5.1
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Daniel Berrange
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-25 15:24 UTC by Chuck Morrison
Modified: 2009-12-14 21:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-18 22:55:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chuck Morrison 2007-07-25 15:24:25 UTC
Description of problem:

There are times when trying to delete a flubbed domain install when file->delete
does nothing. Clicking on the delete button on the bottom does result in the
domain being removed from the list of domains.

Version-Release number of selected component (if applicable):

rhel5.1b0

How reproducible:

intermittent. Sometimes works, sometimes doesn't

Steps to Reproduce:
1. create a virtual domain
2. try to delete it using the menu file->delete
3.
  
Actual results:

often, nothing happens

Expected results:

The domain should disappear from the list of domains.

Additional info:

Comment 1 Aron Griffis 2007-10-21 22:57:30 UTC
I verified that this remains an issue on both x86_64 and ia64, at least.  Here
is the sequence I used:

1. virt-install --hvm --name=hvm2 ...
2. at the screen where it asks how to partition (remove linux partitions, use
   default layout, etc) I switched to another terminal on dom0 and ran 
   "xm destroy hvm1"
3. in virt-manager, the machine is listed as "Shutoff".  I selected it, then
   chose Edit->Delete Machine.  Nothing happened.
4. I clicked the [Delete] button at the bottom of the window and it was deleted
   as expected.

I did this on both ia64 and x86_64 with the same result.

python-virtinst-0.103.0-3.el5
libvirt-python-0.2.3-9.el5
libvirt-0.2.3-9.el5
virt-manager-0.4.0-3.el5



Comment 2 Chuck Morrison 2007-11-01 20:19:51 UTC
Still an issue with rhel5.1(ga)

Comment 3 Cole Robinson 2008-06-23 21:10:29 UTC
I haven't been able to reproduce this in 5.1 or 5.2. If in 5.1, can you run
virt-manager from the command line and see if an error is thrown when the delete
fails? If you can still reproduce this on 5.2, can you check
~/.virt-manager/virt-manager.log? Thanks.

Comment 4 Chuck Morrison 2008-08-18 22:55:01 UTC
I've tried this without success in rhel5.2, so I'll consider it fixed unless it shows up again. There have been many changes to virt-manager in 5.2 and I have to assume based on recent testing, that it has been fixed.


Note You need to log in before you can comment on or make changes to this bug.